Bug 1263556 - systemd-tmpfiles don't remove files from /tmp
systemd-tmpfiles don't remove files from /tmp
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: systemd-maint
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 03:25 EDT by Frank Büttner
Modified: 2016-01-04 03:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 03:20:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2015-09-16 03:25:12 EDT
Description of problem:
systemd-tmpfiles don't remove any files from /tmp/ or /var/tmp

Version-Release number of selected component (if applicable):
systemd-208-20.el7_1.6.x86_64



Actual results:
No file are removed.


Expected results:
That old files removed from /tmp all 10 days and /var/tmp/ one time per month.

Additional info:
systemctl status systemd-tmpfiles-clean.timer
systemd-tmpfiles-clean.timer - Daily Cleanup of Temporary Directories
   Loaded: loaded (/usr/lib/systemd/system/systemd-tmpfiles-clean.timer; static)
   Active: active (waiting) since Mi 2015-09-16 05:44:32 CEST; 3h 40min ago



ls /tmp/ --time-style long --sort time -r -a -o -g
drwxr-xr-x.  2     4096 2014-07-24 09:00 owncloud-oced6c1c3c6e
drwxrwxrwt.  2     4096 2015-02-10 17:47 .ICE-unix
drwxrwxrwt.  2     4096 2015-02-10 17:52 .XIM-unix
drwxrwxrwt.  2     4096 2015-02-10 17:52 .X11-unix
drwxrwxrwt.  2     4096 2015-02-10 17:52 .Test-unix
drwxrwxrwt.  2     4096 2015-02-10 17:52 .font-unix
drwxr-xr-x. 18     4096 2015-02-12 10:56 ..
-rw-r--r--.  1     6054 2015-03-08 10:43 ejabber.te
-rw-r--r--.  1     9754 2015-03-08 10:43 ejabber.pp
-rw-r--r--.  1     2709 2015-03-08 10:45 ejabber15.te
-rw-r--r--.  1     4912 2015-03-08 10:45 ejabber15.pp
-rw-r--r--.  1  3402796 2015-03-26 11:55 grub2-tools-2.02-0.16.el7.centos.x86_64.rpm
drwxr-x--x.  3     4096 2015-05-23 21:11 Datenrettung
drwx------.  2     4096 2015-06-02 16:23 tmux-0
-rwxr-xr-x.  1 18407117 2015-06-25 13:42 ejabberd-15.06-linux-x86_64-installer.run
-rw-------.  1   143989 2015-06-25 15:08 bitrock_installer.log
-rw-------.  1     2567 2015-06-25 18:39 yum_save_tx.2015-06-25.18-39.YQiwA4.yumtx
-rw-r--r--.  1     8822 2015-06-27 09:44 bad.txt
-rw-r--r--.  1   905909 2015-06-28 18:26 168707-calendar.zip
-rw-------.  1     1433 2015-06-29 19:56 yum_save_tx.2015-06-29.19-56.fCIRPa.yumtx
-rw-------.  1    13919 2015-07-02 18:37 yum_save_tx.2015-07-02.18-37.IThlRQ.yumtx
-rw-------.  1    13919 2015-07-03 16:08 yum_save_tx.2015-07-03.16-08.ZkVkIm.yumtx
-rw-------.  1    18417 2015-07-07 14:49 yum_save_tx.2015-07-07.14-49.W5muhg.yumtx
-rw-------.  1    13328 2015-07-08 20:11 yum_save_tx.2015-07-08.20-11.lVTTb_.yumtx
-rw-------.  1    13328 2015-07-08 20:14 yum_save_tx.2015-07-08.20-14.2SPp9e.yumtx
-rw-------.  1    13328 2015-07-08 20:26 yum_save_tx.2015-07-08.20-26.OJSUCk.yumtx
-rw-------.  1    13328 2015-07-08 21:26 yum_save_tx.2015-07-08.21-26.WMaRTD.yumtx
-rw-------.  1    13328 2015-07-08 23:12 yum_save_tx.2015-07-08.23-12.QNfJeq.yumtx
-rw-------.  1    13328 2015-07-15 20:43 yum_save_tx.2015-07-15.20-43.Y_3NsC.yumtx
-rw-------.  1    13328 2015-07-15 22:12 yum_save_tx.2015-07-15.22-12.02tULl.yumtx
-rw-------.  1    13328 2015-07-16 00:10 yum_save_tx.2015-07-16.00-10.1704r8.yumtx
-rw-------.  1    13328 2015-07-17 21:38 yum_save_tx.2015-07-17.21-38.bvTVq0.yumtx
-rw-------.  1    17898 2015-07-17 21:47 yum_save_tx.2015-07-17.21-47.AvV1J8.yumtx
-rw-------.  1    13328 2015-07-17 21:57 yum_save_tx.2015-07-17.21-57.HDp70e.yumtx
-rw-------.  1    13328 2015-07-17 22:44 yum_save_tx.2015-07-17.22-44.EfkDB5.yumtx
-rw-------.  1     2743 2015-07-21 01:10 yum_save_tx.2015-07-21.01-10.9hwT_K.yumtx
-rw-------.  1     2743 2015-07-21 02:12 yum_save_tx.2015-07-21.02-12.Ww8d0c.yumtx
-rw-------.  1     2743 2015-07-21 03:28 yum_save_tx.2015-07-21.03-28.iVg811.yumtx
-rw-------.  1     2743 2015-07-21 04:03 yum_save_tx.2015-07-21.04-03.685eIC.yumtx
-rw-------.  1     2743 2015-07-21 05:18 yum_save_tx.2015-07-21.05-18.jlRbfR.yumtx
-rw-------.  1     2743 2015-07-21 05:59 yum_save_tx.2015-07-21.05-58.H1PnNK.yumtx
-rw-------.  1     2743 2015-07-21 06:02 yum_save_tx.2015-07-21.06-02.tCzKri.yumtx
-rw-------.  1     2743 2015-07-21 06:12 yum_save_tx.2015-07-21.06-12.CFGzr8.yumtx
-rw-------.  1     2743 2015-07-21 07:25 yum_save_tx.2015-07-21.07-25.jvPBfU.yumtx
-rw-------.  1     2743 2015-07-21 08:52 yum_save_tx.2015-07-21.08-52.9kR2Gx.yumtx
-rw-------.  1     2743 2015-07-21 09:26 yum_save_tx.2015-07-21.09-26.bEOnSZ.yumtx
-rw-------.  1      843 2015-07-23 01:24 yum_save_tx.2015-07-23.01-23.FO3mcp.yumtx
-rw-------.  1      843 2015-07-23 02:59 yum_save_tx.2015-07-23.02-59.bjBl99.yumtx
-rw-------.  1      843 2015-07-23 04:33 yum_save_tx.2015-07-23.04-33.VVIdj0.yumtx
-rw-------.  1      843 2015-07-23 05:24 yum_save_tx.2015-07-23.05-24.B_obvF.yumtx
-rw-------.  1      843 2015-07-23 06:03 yum_save_tx.2015-07-23.06-03.UeIogu.yumtx
-rw-------.  1      843 2015-07-23 06:45 yum_save_tx.2015-07-23.06-45.isc9h_.yumtx
-rw-------.  1      843 2015-07-23 06:46 yum_save_tx.2015-07-23.06-46.PObS_r.yumtx
-rw-------.  1      843 2015-07-23 07:32 yum_save_tx.2015-07-23.07-32.bZyuZj.yumtx
-rw-------.  1    14017 2015-07-24 19:35 yum_save_tx.2015-07-24.19-35.9GeAjN.yumtx
-rw-------.  1    14017 2015-07-24 19:43 yum_save_tx.2015-07-24.19-43.IEjmsP.yumtx
-rw-------.  1     2743 2015-07-29 09:25 yum_save_tx.2015-07-29.09-25.d6xNyY.yumtx
-rw-------.  1    13328 2015-07-29 16:57 yum_save_tx.2015-07-29.16-57.pstU3h.yumtx
-rw-------.  1    13328 2015-07-29 17:04 yum_save_tx.2015-07-29.17-04.DND9hj.yumtx
-rw-------.  1     3078 2015-07-30 13:39 yum_save_tx.2015-07-30.13-39.gt1r5V.yumtx
-rw-------.  1     4232 2015-07-30 13:41 yum_save_tx.2015-07-30.13-41.gLTu2e.yumtx
-rw-------.  1    13328 2015-08-03 22:19 yum_save_tx.2015-08-03.22-19._tN0MM.yumtx
-rw-------.  1    13328 2015-08-05 18:20 yum_save_tx.2015-08-05.18-20.edmROm.yumtx
-rw-------.  1    13328 2015-08-05 20:43 yum_save_tx.2015-08-05.20-43.CX9DH4.yumtx
-rw-------.  1    13328 2015-08-05 20:58 yum_save_tx.2015-08-05.20-58.tDLbyh.yumtx
-rw-------.  1    13328 2015-08-05 21:19 yum_save_tx.2015-08-05.21-19.mdYsXT.yumtx
-rw-------.  1    13328 2015-08-05 22:34 yum_save_tx.2015-08-05.22-34.HIQ75l.yumtx
-rw-------.  1    13328 2015-08-06 01:33 yum_save_tx.2015-08-06.01-32.9nMz2x.yumtx
-rw-------.  1    13328 2015-08-06 02:00 yum_save_tx.2015-08-06.02-00.ZZx5WG.yumtx
-rw-------.  1    13328 2015-08-06 02:26 yum_save_tx.2015-08-06.02-26.JtXMqH.yumtx
-rw-------.  1    13328 2015-08-06 04:18 yum_save_tx.2015-08-06.04-18.ahHKVz.yumtx
-rw-------.  1    13328 2015-08-06 04:38 yum_save_tx.2015-08-06.04-38.fXWk7f.yumtx
-rw-------.  1    13328 2015-08-06 05:40 yum_save_tx.2015-08-06.05-40.HV2ZHc.yumtx
-rw-------.  1    13328 2015-08-06 06:41 yum_save_tx.2015-08-06.06-41.tn3tpJ.yumtx
-rw-------.  1    13328 2015-08-06 06:43 yum_save_tx.2015-08-06.06-43.PAYbCr.yumtx
-rw-------.  1    13328 2015-08-06 07:44 yum_save_tx.2015-08-06.07-44.2nXvep.yumtx
-rw-------.  1    13281 2015-08-06 08:37 yum_save_tx.2015-08-06.08-37.giqXPL.yumtx
-rw-------.  1     2915 2015-08-06 18:29 yum_save_tx.2015-08-06.18-29.6maXDB.yumtx
-rw-------.  1     2915 2015-08-06 18:35 yum_save_tx.2015-08-06.18-35.0D7Fyv.yumtx
-rw-------.  1    17790 2015-08-10 21:57 yum_save_tx.2015-08-10.21-57.BtGddY.yumtx
-rw-------.  1    17790 2015-08-10 22:39 yum_save_tx.2015-08-10.22-39.lGXi3z.yumtx
-rw-r--r--.  1   101132 2015-08-10 23:29 mediawiki-i18n-1.25.2.patch
-rw-r--r--.  1   212541 2015-08-10 23:29 mediawiki-1.25.2.patch
-rw-------.  1      788 2015-08-14 21:05 yum_save_tx.2015-08-14.21-05.Ed2y5t.yumtx
-rw-------.  1      788 2015-08-14 21:36 yum_save_tx.2015-08-14.21-36.294XJi.yumtx
-rw-------.  1      788 2015-08-14 22:13 yum_save_tx.2015-08-14.22-13._yCjf2.yumtx
-rw-------.  1      808 2015-08-17 20:59 yum_save_tx.2015-08-17.20-59.LSO9tJ.yumtx
-rw-------.  1      793 2015-08-18 07:02 yum_save_tx.2015-08-18.07-02.wyFfLv.yumtx
-rw-------.  1      793 2015-08-18 07:42 yum_save_tx.2015-08-18.07-42.h3yhHl.yumtx
-rw-------.  1      790 2015-08-18 23:26 yum_save_tx.2015-08-18.23-26.Ri_FcO.yumtx
-rw-------.  1      790 2015-08-19 00:06 yum_save_tx.2015-08-19.00-06.997ucQ.yumtx
-rw-------.  1      790 2015-08-19 00:14 yum_save_tx.2015-08-19.00-14.qDSV1c.yumtx
-rw-------.  1      790 2015-08-19 00:35 yum_save_tx.2015-08-19.00-35.PvfCZX.yumtx
-rw-------.  1      790 2015-08-19 01:47 yum_save_tx.2015-08-19.01-47.muK67M.yumtx
-rw-------.  1      790 2015-08-19 02:59 yum_save_tx.2015-08-19.02-59.LQh8AL.yumtx
-rw-------.  1      790 2015-08-19 03:01 yum_save_tx.2015-08-19.03-01.uOlNSL.yumtx
-rw-------.  1      790 2015-08-19 05:08 yum_save_tx.2015-08-19.05-08.x4KXpr.yumtx
-rw-------.  1      790 2015-08-19 05:29 yum_save_tx.2015-08-19.05-29.r_8DHI.yumtx
-rw-------.  1      790 2015-08-19 06:00 yum_save_tx.2015-08-19.06-00.nDgL0X.yumtx
-rw-------.  1      790 2015-08-19 06:15 yum_save_tx.2015-08-19.06-15.JHfH9R.yumtx
-rw-------.  1     2202 2015-08-26 01:29 yum_save_tx.2015-08-26.01-28.TjCNTe.yumtx
-rw-------.  1     2202 2015-08-26 02:49 yum_save_tx.2015-08-26.02-49._DCtOa.yumtx
-rw-------.  1     2202 2015-08-26 04:44 yum_save_tx.2015-08-26.04-44.dZS05e.yumtx
-rw-------.  1     2202 2015-08-26 05:27 yum_save_tx.2015-08-26.05-27.P9JDeL.yumtx
-rw-------.  1     2202 2015-08-26 05:31 yum_save_tx.2015-08-26.05-31.Efxbn9.yumtx
-rw-------.  1     2202 2015-08-26 06:17 yum_save_tx.2015-08-26.06-17.2cxrWR.yumtx
-rw-------.  1     2032 2015-09-02 06:34 yum_save_tx.2015-09-02.06-34.K0ClGG.yumtx
-rw-------.  1     2032 2015-09-02 06:49 yum_save_tx.2015-09-02.06-49.pzmDkF.yumtx
-rw-------.  1     2032 2015-09-02 08:04 yum_save_tx.2015-09-02.08-04.wzLtTl.yumtx
-rw-------.  1     1734 2015-09-03 05:33 yum_save_tx.2015-09-03.05-33.Rasbmr.yumtx
-rw-------.  1     1734 2015-09-03 05:55 yum_save_tx.2015-09-03.05-55.lG3wnf.yumtx
-rw-------.  1     1734 2015-09-03 06:10 yum_save_tx.2015-09-03.06-10.NXQdsx.yumtx
-rw-------.  1     1734 2015-09-03 06:55 yum_save_tx.2015-09-03.06-55.XhRVOs.yumtx
-rw-------.  1     1734 2015-09-03 07:14 yum_save_tx.2015-09-03.07-14.OxXZKp.yumtx
-rw-------.  1     3229 2015-09-03 17:26 yum_save_tx.2015-09-03.17-26.gErCJj.yumtx
-rw-------.  1      607 2015-09-04 14:21 yum_save_tx.2015-09-04.14-21.xR_Ct9.yumtx
-rw-------.  1      607 2015-09-04 19:36 yum_save_tx.2015-09-04.19-36.RHf4nh.yumtx
-rw-r--r--.  1  3426936 2015-09-15 20:15 grub2-tools-2.02-0.17.el7_1.4.x86_64.rpm
-rw-------.  1     9422 2015-09-15 23:44 yum_save_tx.2015-09-15.23-44.Ur8zL3.yumtx
-rw-------.  1     9422 2015-09-15 23:48 yum_save_tx.2015-09-15.23-48.zGrwQp.yumtx
-rw-------.  1     9422 2015-09-16 00:14 yum_save_tx.2015-09-16.00-14.nyB9z5.yumtx
-rw-------.  1    17739 2015-09-16 00:48 yum_save_tx.2015-09-16.00-48.fDwyz0.yumtx
-rw-------.  1    17739 2015-09-16 01:26 yum_save_tx.2015-09-16.01-26.Twi4s6.yumtx
-rw-------.  1    17739 2015-09-16 02:11 yum_save_tx.2015-09-16.02-11.7DxPl4.yumtx
drwxr-xr-x.  2    69632 2015-09-16 02:36 navit
-rw-------.  1    17739 2015-09-16 03:18 yum_save_tx.2015-09-16.03-18.adllDP.yumtx
-rw-------.  1    17739 2015-09-16 03:40 yum_save_tx.2015-09-16.03-40.zEuHws.yumtx
-rw-------.  1    17739 2015-09-16 04:31 yum_save_tx.2015-09-16.04-31.k9LeAL.yumtx
drwx------.  3     4096 2015-09-16 05:44 systemd-private-Zy2Pa1
drwx------.  3     4096 2015-09-16 05:44 systemd-private-HvBdIL
drwx------.  3     4096 2015-09-16 05:44 systemd-private-zHCkKH
drwx------.  3     4096 2015-09-16 05:44 systemd-private-JguUSD
drwx------.  2    69632 2015-09-16 09:00 mc-root

ls /var/tmp/ --time-style long --sort time -r -a -o -g
drwxr-xr-x.  2 4096 2014-11-21 20:14 abrt
drwxr-xr-x. 16 4096 2015-02-10 17:35 system-upgrade
-rw-r--r--.  1    9 2015-02-10 17:58 system-upgrade.state
drwx------.  2 4096 2015-07-29 09:38 yum-root-7dDA08
drwxrwxr-x.  2 4096 2015-09-16 02:00 Karten
drwx------.  3 4096 2015-09-16 05:44 systemd-private-zgkMIN
drwx------.  3 4096 2015-09-16 05:44 systemd-private-F1VJHJ
drwx------.  3 4096 2015-09-16 05:44 systemd-private-LOuWMF
drwx------.  3 4096 2015-09-16 05:44 systemd-private-ny5qZB
drwxrwxrwt. 10 4096 2015-09-16 05:44 .
drwxr-xr-x. 22 4096 2015-09-16 07:44 ..
Comment 2 Frank Büttner 2016-01-02 06:54:18 EST
Can be closed, the atime for the files was modified regularly and systemd-tmpfiles checks for it.

Note You need to log in before you can comment on or make changes to this bug.